<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [Sync](./git-documentdb.sync.md) &gt; [enqueueSyncTask](./git-documentdb.sync.enqueuesynctask.md)

## Sync.enqueueSyncTask() method

Enqueue sync task to TaskQueue

<b>Signature:</b>

```typescript
enqueueSyncTask(): Promise<SyncResult>;
```
<b>Returns:</b>

Promise&lt;[SyncResult](./git-documentdb.syncresult.md)<!-- -->&gt;

## Exceptions

[SyncWorkerError](./git-documentdb.syncworkererror.md)

[NoMergeBaseFoundError](./git-documentdb.nomergebasefounderror.md)

[UnfetchedCommitExistsError](./git-documentdb.unfetchedcommitexistserror.md)

[PushNotAllowedError](./git-documentdb.pushnotallowederror.md)

